# Generated from bunny-mock-1.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bunny-mock

Name: rubygem-%{gem_name}
Version: 1.7.0
Release: 1%{?dist}
Summary: Mocking for the popular Bunny client for RabbitMQ
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rubocop) = 0.40.0
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(term-ansicolor) >= 1.3.0
# BuildRequires: rubygem(term-ansicolor) < 1.4
# BuildRequires: rubygem(tins) = 1.6.0
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
Easy to use mocking for testing the Bunny client for RabbitMQ.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/UPGRADING.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bunny-mock.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.7.0-1
- Initial package
